org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardPageType<T>

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardPageType<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class HierarchyWizardPageType<T>
    extends org.eclipse.jface.wizard.WizardPage

A hierarchy page for choosing the type of builder.

Author:
  Fabian Prasser

### Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`HierarchyWizardPageType(HierarchyWizard<T> wizard, HierarchyWizardModel<T> model, HierarchyWizardPageIntervals<T> intervalPage, HierarchyWizardPageOrder<T> orderPage, HierarchyWizardPageRedaction<T> redactionPage, HierarchyWizardPageDate datePage)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canFlipToNextPage()`
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.jface.wizard.IWizardPage` `getNextPage()`
`boolean` `isPageComplete()`
`void` `setVisible(boolean value)`
`void` `updatePage()` Updates the page.

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`getImage, getName, getPreviousPage, getShell, getWizard, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

### Constructor Detail

#### HierarchyWizardPageType

    public HierarchyWizardPageType(HierarchyWizard<T> wizard,
                                   HierarchyWizardModel<T> model,
                                   HierarchyWizardPageIntervals<T> intervalPage,
                                   HierarchyWizardPageOrder<T> orderPage,
                                   HierarchyWizardPageRedaction<T> redactionPage,
                                   HierarchyWizardPageDate datePage)

Creates a new instance.

Parameters:
  `wizard` -
  `model` -
  `intervalPage` -
  `orderPage` -
  `redactionPage` -
  `datePage` -

### Method Detail

#### canFlipToNextPage

    public boolean canFlipToNextPage()

Specified by:
  `canFlipToNextPage` in interface `org.eclipse.jface.wizard.IWizardPage`
Overrides:
  `canFlipToNextPage` in class `org.eclipse.jface.wizard.WizardPage`

#### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

#### getNextPage

    public org.eclipse.jface.wizard.IWizardPage getNextPage()

Specified by:
  `getNextPage` in interface `org.eclipse.jface.wizard.IWizardPage`
Overrides:
  `getNextPage` in class `org.eclipse.jface.wizard.WizardPage`

#### isPageComplete

    public boolean isPageComplete()

Specified by:
  `isPageComplete` in interface `org.eclipse.jface.wizard.IWizardPage`
Overrides:
  `isPageComplete` in class `org.eclipse.jface.wizard.WizardPage`

#### setVisible

    public void setVisible(boolean value)

Specified by:
  `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
Overrides:
  `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`

#### updatePage

    public void updatePage()

Updates the page.